"use client";

import { BreadcrumbsMenu } from "@/components/BreadcrumbsMenu";
import { ProjectForm } from "@/components/ProjectForm";
import { Container, Stack, Box, Typography } from "@mui/material";

export default function NewProject() {
  return (
    <Container>
      <BreadcrumbsMenu page="Ajout Projet" />
      <Stack spacing={2} alignItems={"center"}>
        <Box width="100%">
          <Typography variant="h3">Ajout projet</Typography>
        </Box>
        <Box width={"80%"} minWidth={300}>
          <ProjectForm />
        </Box>
      </Stack>
    </Container>
  );
}
