import { Alert, Box } from "@mui/material";

export function ErrorScreen({
  message = "Une erreur est survenue",
}: {
  message?: string;
}) {
  return (
    <Box padding={2}>
      <Alert severity="error">{message}</Alert>
    </Box>
  );
}
